package MusicAndCo;


import static java.lang.String.format;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import métiers.Commande;
import métiers.Entreprise;
import métiers.Instrument;

import java.util.Scanner;
/**
 *
 * @author sio
 */
public class Test {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Scanner lectureClavier=new Scanner(System.in);
        DateFormat format = new SimpleDateFormat("dd/MM/yyyy");
        Date date = new Date();
        Entreprise lEntreprise=new Entreprise("MusicAndCo");
        Commande laCommande1 = new Commande(1,1,format.format(date));
        Commande laCommande2 = new Commande(2,1,format.format(date));
       
        System.out.println("Bienvenue dans ma boutique :" + lEntreprise.getRaisonSociale());
        
        //Première commande
        System.out.println("Préparons votre commande :"+laCommande1.toString());    
        System.out.println("Voici les instruments en stock :");
        //ajouter des instruments de l'entreprise à la commande
        boolean rep=false;
        do {
            int ref=menu(lEntreprise); //le menu affiche les instruments
            System.out.print("En quelle quantité ?");
            int qte=lectureClavier.nextInt();
            laCommande1.ajouter(lEntreprise.getLesInstruments().get(ref), qte);
            System.out.print("Voulez-vous ajouter un autre instrument à votre commande (oui/non) ?");
            String reponse=lectureClavier.next();  
            rep = "oui".equals(reponse);
        }while(rep);
        //affecter la commande à l'entreprise si la commande est possible
        lEntreprise.ajouterCommande(laCommande1);
        System.out.println("Voici votre commande"+lEntreprise.getLesCommandes().get(0));
        
        //--------------------------------------
        //créer une autre commande
        System.out.println("Voilà l'autre commande :"+laCommande2.toString());    
        System.out.println("Voici les instruments en stock :");
        //ajouter des instruments de l'entreprise à la commande
        rep=false;
        do {
            int ref=menu(lEntreprise);
            System.out.print("En quelle quantité ?");
            int qte=lectureClavier.nextInt();
            laCommande2.ajouter(lEntreprise.getLesInstruments().get(ref), qte);
            System.out.print("Voulez-vous ajouter un autre instrument à votre commande (oui/non) ?");
            String reponse=lectureClavier.next();  
            rep = "oui".equals(reponse);           
        }while(rep);
        //affecter la commande à l'entreprise si la commande est possible
        lEntreprise.ajouterCommande(laCommande2);
        System.out.println("Voici votre commande"+lEntreprise.getLesCommandes().get(1));
        
        //rechercher et afficher une commande
        
        
        //supprimer une des 2 commandes
        
        //vériffier les stocks après suppression de la commande
        
        
    }
    static int menu(Entreprise uneEnt){
        Scanner lectureClavier=new Scanner(System.in);
        System.out.println("Choisir un instrument :");
        int i=0;
        for(Instrument lInst : uneEnt.getLesInstruments()){
            i=i+1;
            System.out.print(i + "- ");
            System.out.println(lInst.toString());
        }
        System.out.print("Quel instrument voulez-vous ? ");
        return lectureClavier.nextInt()-1;
    }
}
